Bug 630440

Summary: virt-manager gui locks/freezes when using a symlink in a storage pool path
Product: [Fedora] Fedora Reporter: Reartes Guillermo <rtguille>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 15CC: aquini, berrange, clalance, crobinso, eblake, hbrock, itamar, jforbes, laine, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-01 19:25:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Reartes Guillermo 2010-09-05 11:29:33 EDT
I am having a virt-manager gui lockup when using a symlink as parth of the
path in a custom storage pool.

Steps to reproduce:

* launch "virt-manager"

* login as "root"

* click "new machine" icon
* set the "name" of the machine

* select "local install iso"
* click "forward"
* select "use ISO image"

* click "Browse"
* click "Browse Local"
* select an iso
* select "os type" and "version"
* click "forward"

* leave "ram" and "cpus" defaults
* click "forward"

* select "select managed or other existing storage"
* click "browse"
* select "vm-bigpool-pool" and click "new volume"

A window seems to try appear, but no window appears. The result is 
that three dialogs/windows: "virtual machine manager", "new vm" and
"locate or create storage volume" are locked. No button works. 
Im using KDE, so i need to use CTRL+ALT+ESC to point and kill any of
the windows (killing al windows, of course).
This does not affect running vm(s). It is a gui problem...
Im only able to create vm(s) in the default storage pool.

UPDATE: choosing the storage pool "vm-bigpool_bis-pool" makes it work.

It seems the gui has a problem when following a symlink.


Storage Pools:
--------------

WORKS
Storage Pool Name: default 
Path: /var/lib/libvirt/images
/ is a 24gb filesystem, so i do not store vm here!

FAILS
Storage Pool Name: vm-bigpool-pool
Path: /home/user/vm/user/virt-manager
/home/user/vm is a symlink to /data1/vm, it is a 764gb filesystem
located in another disk. 

WORKS
Storage Pool Name: vm-bigpool_bis-pool
Path: /data1/vm/user/virt-manager
/data1/vm/user/virt-manager is the direct path, it is a 764gb filesystem
located in another disk.

-------------

SELinux is set to Permissive mode, of course ...


-------------

[root@ulquiorra ~]# yum list installed '*virt*'
Loaded plugins: presto, refresh-packagekit
Installed Packages
libvirt.x86_64                  0.8.2-1.fc13     @updates
libvirt-client.x86_64           0.8.2-1.fc13     @updates
libvirt-python.x86_64           0.8.2-1.fc13     @updates
python-virtinst.noarch          0.500.4-1.fc13   @updates
virt-manager.noarch             0.8.5-1.fc13     @updates
virt-viewer.x86_64              0.2.1-1.fc13     @fedora 
virtuoso-opensource.x86_64      6.1.2-1.fc13     @updates
Comment 1 Cole Robinson 2011-03-23 17:39:44 EDT
Pretty sure this is a libvirt bug
Comment 2 Reartes Guillermo 2011-03-23 18:10:39 EDT
I can confirm that it still happens with F15 Alpha with these versions:

pool1  /data1/vm/guille/virt-manager
pool2  /home/guille/vm >> symlink to >>  /data1/vm/guille/virt-manager/

SELinux is also disabled in my F15.
It happens with both pools, i can only use the default pool.

Installed Packages;

libvirt.x86_64                 0.8.8-3.fc15          @updates-testing            
libvirt-client.x86_64          0.8.8-3.fc15          @updates-testing            
libvirt-python.x86_64          0.8.8-3.fc15          @updates-testing            
python-virtinst.noarch         0.500.5-2.fc15        @fedora                     
redland-virtuoso.x86_64        1.0.12-2.fc15         @koji-override-0/$releasever
virt-manager.noarch            0.8.6-2.fc15          @fedora                     
virt-viewer.x86_64             0.3.1-1.fc15          @fedora                     
virtuoso-opensource.x86_64     1:6.1.2-3.fc15        @koji-override-0/$releasever


.session-errors only shows these at the moment of clicking 'new volume'
Comment 3 Bug Zapper 2011-05-31 10:23:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Reartes Guillermo 2011-06-03 12:17:45 EDT
Version should be changed to 15, see previous comment.

The problem with this is that virt-manager must be killed and all virt-manager windows will close as a result.
Comment 5 Cole Robinson 2011-06-10 14:12:41 EDT
Thanks for confirming, moving this to F15
Comment 6 Fedora Admin XMLRPC Client 2011-09-22 13:53:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 13:57:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:04:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 15:05:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 15:08:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 15:09:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Eric Blake 2011-12-01 19:25:33 EST
I think this is a duplicate.  We can reopen this if it turns out to be a separate issue after all.

*** This bug has been marked as a duplicate of bug 621618 ***